EDIT - task #8840

Display identifiers in the dataportal
02/03/2020 02:25 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.43

Severity: normal

Description
identifiers for all cdm types need to be shown (ldentifiableEntity.identifier)

Identifiers exist in Caryophyllales_sp for TaxonName, TaxonBase and SpecimenOrObservationBase.
Also consider transformation of IPNI-LSIDs to identifiers.
Also a link should be shown if available (see #10260).

Note AM: This needs to be configurable by identifier type and/or maybe also by IdentifiableEntitiy subclass type (see also #9539)

Related issues:

Related to EDIT - task #8391: Name page shows complete name information (I1) In Progress
Related to EDIT - feature request #7152: Make LSID another Alternative Identi... New
Related to EDIT - feature request #10050: Add missing functionality for MCL C... In Progress
Related to EDIT - feature request #10260: Add resolve mechanism to (external)... Closed
Related to EDIT - feature request #9539: Implement availableFor for Extension... In Progress
Related to EDIT - feature request #10433: Add Index Fungorum name identifier ... Closed
History

#1 - 02/03/2020 02:30 PM - Andreas Kohlbecker

- Description updated

#2 - 02/03/2020 04:57 PM - Andreas Kohlbecker

- Description updated

#3 - 02/03/2020 05:02 PM - Andreas Kohlbecker

- Description updated
#4 - 02/10/2020 04:56 PM - Andreas Miuller
Andreas Kohlbecker wrote:

Also consider transformation of IPNI-LSIDs to identifiers.

Can you explain what is meant by this?

#5 - 02/10/2020 04:58 PM - Andreas Miiller

- Description updated

#6 - 02/21/2020 10:40 AM - Andreas Kohlbecker

Hallo,

ich wollte noch anmerken, dass mich im Portal eigentlich vor allem auch der Link zum Identifier interessiert. Im Gegensatz zur Suchfunktion (Block,
dort Suche nach Namen im Zielsystem) wird hier ja eine kontrollierte Verlinkung (z.B.) eines Namens hergestellt. Bei der Datenhaltung sollte man

also vielleicht die Auflésung des Links (also die URL drumherum) mit beim Identifier-Type ablegen, sodass man im Portal den Identifier als Text, als
Link, oder als Text mit Link darstellen kann.
https://dev.e-taxonomy.eu/redmine/issues/10260
https://dev.e-taxonomy.eu/redmine/issues/9539

Herzlichen Gruf3

Walter

#7 - 05/04/2020 08:46 AM - Andreas Kohlbecker
Hallo,

zu diesem Punkt:

Also consider possibility (configurable) to display WFO- and IPNI- Name Identifiers as URLs in the dataportal (wichtig fir Caryophyllales, Euro_Med
und eventuell Cichorieae).

Das kdénnte man eventuell ja eher Uber die Name-Detail Page machen, die mal in der Diskussion war (hatte sich das realisiert? Und wenn ja, wie
kommt man an die eigentlich heran?).

Herzlichen Gruf3
Walter

#8 - 05/04/2020 10:06 AM - Andreas Mdiller

- Related to task #8391: Name page shows complete name information (Il) added

#9 - 11/13/2020 09:49 AM - Andreas Miiller
- Related to feature request #7152: Make LSID another Alternative Identifier added

#10 - 11/15/2022 07:36 PM - Andreas Miiller
- Subject changed from display identifiers in the dataportal to Display identifiers in the dataportal

- Assignee changed from Andreas Kohlbecker to Katja Luther

This is also an issue for MCL and the MCL taxon id (#10050)

#11 - 11/15/2022 07:36 PM - Andreas Miiller
- Related to feature request #10050: Add missing functionality for MCL CDM dataportal added

#12 - 11/15/2022 07:37 PM - Andreas Miiller
- Tags set to MCL

#13 - 03/03/2023 12:46 PM - Andreas Miiller
- Tags changed from MCL to MCL, tettris, euro+med, wfo

- Target version changed from Unassigned CDM tickets to Release 5.44

This is also relevant for e.g. WFO identifiers in E+M and others.

But be aware that WFO-IDs are name related. MCL IDs are taxon related. However, WFO-IDs should not only be shown on the name pages (which
are usually not linked or easy to find but also on the taxon pages.

This could maybe be implemented with the new taxon page DTOs therefore put to current milestone.

#14 - 03/03/2023 02:17 PM - Andreas Miiller

- Related to feature request #10260: Add resolve mechanism to (external) identifiers added

#15 - 03/03/2023 02:18 PM - Andreas Miiller

- Description updated

#16 - 03/03/2023 02:24 PM - Andreas Miiller
- Related to feature request #9539: Implement availableFor for ExtensionType, MarkerType, AnnotationType and IdentifierType added

#17 - 03/03/2023 02:24 PM - Andreas Miiller

- Description updated

#18 - 12/05/2023 03:40 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.42
https://dev.e-taxonomy.eu/redmine/issues/10050

#19 - 12/05/2023 03:45 PM - Andreas Miiller
- Related to feature request #10433: Add Index Fungorum name identifier type added

#20 - 02/01/2024 01:11 AM - Andreas Miiller

- Target version changed from Release 5.42 to Release 5.44

#21 - 02/14/2024 11:37 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.43
